Delete Agent
Soft-delete an agent and detach template graph rows.
Soft-deletes an agent by removing workspace scope and detaching template nodes/connections.
Request
bash
curl -X POST "https://api.mosaic.so/agent/123e4567-e89b-12d3-a456-789012345678/delete" \
-H "Authorization: Bearer mk_your_api_key"You can also call the same operation with DELETE /agent/{agent_id}/delete.
Response
json
{
"success": true,
"agent_id": "123e4567-e89b-12d3-a456-789012345678",
"message": "Agent deleted successfully"
}